%{?nodejs_find_provides_and_requires}

%global packagename code
%global enable_tests 0
#  tests disabled until npm(lab) is packaged in Fedora

Name:		nodejs-code
Version:	1.5.0
Release:	1%{?dist}
Summary:	Assertion library

License:	BSD
URL:		https://github.com/hapijs/code.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz

ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	npm(lab)
%endif

Requires:	nodejs

%description
Assertion library


%prep
%setup -q -n package


%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json lib/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
lab -v -t 100 -L
%endif


%files
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}



%changelog
* Fri Oct  9 2015 Jared Smith <jsmith@fedoraproject.org> - 1.5.0-1
- Initial packaging
